package com.neusoft.smart.pos.strategy.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class ShopOtherChargesConfig implements Serializable {
    private Integer id;

    private Integer beanTypeId;

    private String displayName;

    private String chargeCategory;

    private String description;

    private Integer orgId;

    private String orgEntityTableName;

    private Integer shopId;

    private String shopEntityTableName;

    private Date createdAt;

    private String orderType;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;

    private String beanParameter;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getBeanTypeId() {
        return beanTypeId;
    }

    public void setBeanTypeId(Integer beanTypeId) {
        this.beanTypeId = beanTypeId;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName == null ? null : displayName.trim();
    }

    public String getChargeCategory() {
        return chargeCategory;
    }

    public void setChargeCategory(String chargeCategory) {
        this.chargeCategory = chargeCategory == null ? null : chargeCategory.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgEntityTableName() {
        return orgEntityTableName;
    }

    public void setOrgEntityTableName(String orgEntityTableName) {
        this.orgEntityTableName = orgEntityTableName == null ? null : orgEntityTableName.trim();
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public String getShopEntityTableName() {
        return shopEntityTableName;
    }

    public void setShopEntityTableName(String shopEntityTableName) {
        this.shopEntityTableName = shopEntityTableName == null ? null : shopEntityTableName.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType == null ? null : orderType.trim();
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getBeanParameter() {
        return beanParameter;
    }

    public void setBeanParameter(String beanParameter) {
        this.beanParameter = beanParameter == null ? null : beanParameter.trim();
    }
}